Package com.independentsoft.msg

# Enum Class MessageFlag

java.lang.Object
java.lang.Enum<MessageFlag>
com.independentsoft.msg.MessageFlag

All Implemented Interfaces:
  `Serializable`, `Comparable<MessageFlag>`, `Constable`

public enum MessageFlag extends Enum<MessageFlag>
Contains a value that indicates the origin and current state of a message.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ASSOCIATED`
  The message is an associated message of a folder.
  `FROM_ME`
  The messaging user sending was the messaging user receiving the message.
  `HAS_ATTACHMENT`
  The message has at least one attachment.
  `NON_READ_REPORT_PENDING`
  A nonread report needs to be sent for the message.
  `ORIGIN_INTERNET`
  The incoming message arrived over the Internet.
  `ORIGIN_MISC_EXTERNAL`
  The incoming message arrived over an external link other than X.400 or the Internet.
  `ORIGIN_X400`
  The incoming message arrived over an X.400 link.
  `READ`
  The message is marked as having been read.
  `READ_REPORT_PENDING`
  A read report needs to be sent for the message.
  `RESEND`
  The message includes a request for a resend operation with a non-delivery report.
  `SUBMIT`
  The message is marked for sending.
  `UNMODIFIED`
  The outgoing message has not been modified since the first time that it was saved; the incoming message has not been modified since it was delivered.
  `UNSENT`
  The message is still being composed.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static MessageFlag`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static MessageFlag[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ASSOCIATED

    public static final MessageFlag ASSOCIATED
    The message is an associated message of a folder. The client or provider has read-only access to this flag. The Read flag is ignored for associated messages, which do not retain a read/unread state.

  - ### FROM_ME

    public static final MessageFlag FROM_ME
    The messaging user sending was the messaging user receiving the message. This flag is meant to be set by the transport provider.

  - ### HAS_ATTACHMENT

    public static final MessageFlag HAS_ATTACHMENT
    The message has at least one attachment. The client has read-only access to this flag.

  - ### NON_READ_REPORT_PENDING

    public static final MessageFlag NON_READ_REPORT_PENDING
    A nonread report needs to be sent for the message. The client or provider has read-only access to this flag.

  - ### ORIGIN_INTERNET

    public static final MessageFlag ORIGIN_INTERNET
    The incoming message arrived over the Internet. It originated either outside the organization or from a source the gateway cannot consider trusted. The client should display an appropriate message to the user. Transport providers set this flag; the client has read-only access.

  - ### ORIGIN_MISC_EXTERNAL

    public static final MessageFlag ORIGIN_MISC_EXTERNAL
    The incoming message arrived over an external link other than X.400 or the Internet. It originated either outside the organization or from a source the gateway cannot consider trusted. The client should display an appropriate message to the user. Transport providers set this flag; the client has read-only access.

  - ### ORIGIN_X400

    public static final MessageFlag ORIGIN_X400
    The incoming message arrived over an X.400 link. It originated either outside the organization or from a source the gateway cannot consider trusted. The client should display an appropriate message to the user. Transport providers set this flag; the client has read-only access.

  - ### READ

    public static final MessageFlag READ
    The message is marked as having been read. This flag is ignored if the Associated flag is set.

  - ### RESEND

    public static final MessageFlag RESEND
    The message includes a request for a resend operation with a non-delivery report.

  - ### READ_REPORT_PENDING

    public static final MessageFlag READ_REPORT_PENDING
    A read report needs to be sent for the message. The client or provider has read-only access to this flag.

  - ### SUBMIT

    public static final MessageFlag SUBMIT
    The message is marked for sending. Message store providers set this flag; the client has read-only access.

  - ### UNMODIFIED

    public static final MessageFlag UNMODIFIED
    The outgoing message has not been modified since the first time that it was saved; the incoming message has not been modified since it was delivered.

  - ### UNSENT

    public static final MessageFlag UNSENT
    The message is still being composed. It is saved, but has not been sent. Typically, this flag is cleared after the message is sent.

- ## Method Details

  - ### values

    public static MessageFlag[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static MessageFlag valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null